package it.unipd.app;

public class MockBowlingGame implements BowlingGameInterface {

    static private int numFrame = 10; 
    private int frame = 0;
    private int score = 0;

    public boolean finish() {
        return frame == numFrame;
    }

    public int getFramePosition() {
        return frame;
    }

    public void roll(int pins) {
        score += pins;
        frame ++;
    }

    public int score() {
        return score;
    }

}
